Page MenuHomePhabricator

Perform schema change to add externallinks.el_index_60 to all wikis
Closed, ResolvedPublic

Description

From the checklist at https://wikitech.wikimedia.org/wiki/Schema_changes:

  1. ALTERs to run: https://gerrit.wikimedia.org/r/#/c/322727/3/maintenance/archives/patch-externallinks-el_index_60.sql
  2. Where to run those changes: all.dblist
  3. When to run those changes: No time constraint. But it has been waiting for over a year now.
  4. If the schema change is backwards compatible: Yes. The code to use it is not merged yet.
  5. If the schema change has been tested already on some of the test/beta wikis: It has been auto-deployed to Beta.
  6. if the data should be made available on the labs replicas and/or dumps: The data in this column is public, and can safely be replicated to labs.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2018-03-12T06:27:28Z] <marostegui> Deploy schema change on db1103:3314 - T187089 T185128 T153182

Change 419109 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1081

https://gerrit.wikimedia.org/r/419109

Change 419109 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1081

https://gerrit.wikimedia.org/r/419109

Mentioned in SAL (#wikimedia-operations) [2018-03-13T06:56:27Z] <marostegui> Deploy schema change on db1081 - T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-03-13T06:58:17Z] <marostegui> Deploy schema change on dbstore1002 - T187089 T185128 T153182

Change 419194 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097:3314

https://gerrit.wikimedia.org/r/419194

Change 419194 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1097:3314

https://gerrit.wikimedia.org/r/419194

Mentioned in SAL (#wikimedia-operations) [2018-03-13T15:50:51Z] <marostegui> Deploy schema change on db1097:3314 - T187089 T185128 T153182

Change 419354 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1064

https://gerrit.wikimedia.org/r/419354

Change 419354 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1064

https://gerrit.wikimedia.org/r/419354

Mentioned in SAL (#wikimedia-operations) [2018-03-14T06:45:22Z] <marostegui> Deploy schema change on db1064 with replication (this will generate lag on s4 on labs hosts) - T187089 T185128 T153182

Change 419663 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1084

https://gerrit.wikimedia.org/r/419663

Change 419663 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1084

https://gerrit.wikimedia.org/r/419663

Mentioned in SAL (#wikimedia-operations) [2018-03-15T07:01:03Z] <marostegui> Deploy schema change on db1084 - T187089 T185128 T153182

Change 420274 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/420274

Change 420274 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1091

https://gerrit.wikimedia.org/r/420274

Mentioned in SAL (#wikimedia-operations) [2018-03-19T06:20:38Z] <marostegui> Deploy schema change on db1091 - T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-03-20T06:18:12Z] <marostegui> Deploy schema change on s4 primary master db1068 - T187089 T185128 T153182

Marostegui updated the task description. (Show Details)Mar 21 2018, 7:22 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-02T08:50:25Z] <marostegui> Deploy schema change on s3 codfw master db2043 (this will generate lag on codfw) - T187089 T185128 T153182

Marostegui updated the task description. (Show Details)Apr 2 2018, 11:52 AM
Marostegui added a comment.EditedApr 2 2018, 11:54 AM

s3 eqiad progress:

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • dbstore1002
  • db1095
  • db1072
  • db1077
  • db1078
  • db1075
Marostegui updated the task description. (Show Details)Apr 2 2018, 11:54 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-02T12:06:38Z] <marostegui> Deploy schema change on dbstore1002 - s3 - T187089 T185128 T153182

Change 423602 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/423602

Change 423602 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/423602

Mentioned in SAL (#wikimedia-operations) [2018-04-03T05:37:24Z] <marostegui> Deploy schema change on db1078 - s3 - T187089 T185128 T153182

Change 423649 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/423649

Change 423649 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/423649

Mentioned in SAL (#wikimedia-operations) [2018-04-03T08:46:04Z] <marostegui> Deploy schema change on db1077 - s3 - T187089 T185128 T153182

Change 423834 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/423834

Change 423834 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1072

https://gerrit.wikimedia.org/r/423834

Mentioned in SAL (#wikimedia-operations) [2018-04-04T05:48:21Z] <marostegui> Deploy schema change on db1072 - s3 - with replication. This will generate lag on labs T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-04-04T08:08:12Z] <marostegui> Deploy schema change on s3 primary master (db1075) - T153182 T185128

Marostegui updated the task description. (Show Details)Apr 4 2018, 9:29 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-04T09:46:26Z] <marostegui> Deploy schema change on s1 codfw master db2048 (this will generate lag on codfw) - T187089 T185128 T153182

Marostegui updated the task description. (Show Details)Apr 4 2018, 1:49 PM
Marostegui added a comment.EditedApr 4 2018, 1:54 PM

s1 eqiad progress:

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • db1095
  • dbstore1002
  • db1080
  • db1083
  • db1089
  • db1066
  • db1067
  • db1106
  • db1099
  • db1114
  • db1105
  • db1052
Marostegui updated the task description. (Show Details)Apr 4 2018, 1:55 PM

Change 423926 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/423926

Mentioned in SAL (#wikimedia-operations) [2018-04-04T13:59:33Z] <marostegui> Deploy schema change on dbstore1002:s1 - T187089 T185128 T153182

Change 423926 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3311

https://gerrit.wikimedia.org/r/423926

Mentioned in SAL (#wikimedia-operations) [2018-04-04T14:09:54Z] <marostegui> Deploy schema change on db1099:3311 - T187089 T185128 T153182

Change 424194 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/424194

Change 424194 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1089

https://gerrit.wikimedia.org/r/424194

Mentioned in SAL (#wikimedia-operations) [2018-04-05T05:52:19Z] <marostegui> Deploy schema change on db1089 - T187089 T185128 T153182

Change 424215 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/424215

Change 424215 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3311

https://gerrit.wikimedia.org/r/424215

Mentioned in SAL (#wikimedia-operations) [2018-04-05T07:33:28Z] <marostegui> Deploy schema change on db1105:3311 - T187089 T185128 T153182

Change 424261 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/424261

Change 424261 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1083

https://gerrit.wikimedia.org/r/424261

Mentioned in SAL (#wikimedia-operations) [2018-04-05T10:33:03Z] <marostegui> Deploy schema change on db1083 - T187089 T185128 T153182

Change 424322 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1066

https://gerrit.wikimedia.org/r/424322

Change 424322 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1066

https://gerrit.wikimedia.org/r/424322

Mentioned in SAL (#wikimedia-operations) [2018-04-05T14:54:03Z] <marostegui> Deploy schema change on db1066 - T187089 T185128 T153182

Change 424521 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/424521

Change 424521 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1114

https://gerrit.wikimedia.org/r/424521

Mentioned in SAL (#wikimedia-operations) [2018-04-06T05:44:10Z] <marostegui> Deploy schema change on db1114 - T187089 T185128 T153182

Change 424988 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/424988

Change 424988 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1106

https://gerrit.wikimedia.org/r/424988

Mentioned in SAL (#wikimedia-operations) [2018-04-09T05:34:33Z] <marostegui> Deploy schema change on db1106 with replication enabled (this will generate lag on labs replicas) - T187089 T185128 T153182

Change 425012 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/425012

Change 425012 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1080

https://gerrit.wikimedia.org/r/425012

Mentioned in SAL (#wikimedia-operations) [2018-04-09T08:37:51Z] <marostegui> Deploy schema change on db1080 - T187089 T185128 T153182

Change 425054 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/425054

Change 425054 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1067

https://gerrit.wikimedia.org/r/425054

Mentioned in SAL (#wikimedia-operations) [2018-04-09T14:11:02Z] <marostegui> Deploy schema change on db1067 - T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-04-10T05:17:20Z] <marostegui> Deploy alter table on s1 primary master (db1052) - T185128 T153182

Marostegui updated the task description. (Show Details)Apr 10 2018, 10:47 AM

Mentioned in SAL (#wikimedia-operations) [2018-04-11T05:22:47Z] <marostegui> Deploy schema change on codfw s8 master (db2045) with replication enabled (this will generate lag on codfw) - T187089 T185128 T153182

Change 425532 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/425532

Marostegui added a comment.EditedApr 11 2018, 2:08 PM

s8 progress:

  • dbstore1002
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • db1095
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071
Marostegui updated the task description. (Show Details)Apr 11 2018, 2:08 PM

Change 425532 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/425532

Mentioned in SAL (#wikimedia-operations) [2018-04-11T14:14:21Z] <marostegui> Deploy schema change on db1099:3318 - T187089 T185128 T153182

Marostegui updated the task description. (Show Details)Apr 11 2018, 2:17 PM

Change 425746 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/425746

Change 425746 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/425746

Mentioned in SAL (#wikimedia-operations) [2018-04-12T05:27:07Z] <marostegui> Deploy schema change on db1109 - T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-04-12T12:13:10Z] <marostegui> Deploy schema change on s8 dbstore1002 - T187089 T185128 T153182

Change 425806 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/425806

Change 425806 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/425806

Mentioned in SAL (#wikimedia-operations) [2018-04-12T13:44:13Z] <marostegui> Deploy schema change on db1101:3318 - T187089 T185128 T153182

Change 425960 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/425960

Change 425960 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/425960

Mentioned in SAL (#wikimedia-operations) [2018-04-13T05:37:03Z] <marostegui> Deploy schema change on db1104 - T187089 T185128 T153182

Change 426843 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/426843

Change 426843 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/426843

Mentioned in SAL (#wikimedia-operations) [2018-04-16T05:33:54Z] <marostegui> Deploy schema change on db1087 with replication (this will generate lag in labs) - T187089 T185128 T153182

Change 427051 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/427051

Change 427051 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/427051

Mentioned in SAL (#wikimedia-operations) [2018-04-17T05:21:19Z] <marostegui> Deploy schema change on db1092 - T187089 T185128 T153182

Mentioned in SAL (#wikimedia-operations) [2018-04-18T05:02:00Z] <marostegui> Deploy schema change on db1071 (s8 primary master) - T185128 T153182

Marostegui closed this task as Resolved.Apr 18 2018, 5:30 AM

All done!

\o/ Thanks!

Marostegui updated the task description. (Show Details)Sep 13 2018, 8:09 AM